# -*- coding: utf-8 -*-
"""
Created on Wed Sep 10 09:53:59 2014

@author: Graficacion FCC BUAP 2014 otoño (MMO)

Objetos en la UI

    labelArchi     : etiqueta para nombre de archivo seleccionado
    actionAbrir    : Abre archivo
    actionSalir    : Sale de la app
    
    actionMuestra  : Muestra los datos del archivo de texto

    plainTextEdit  : Ventana de texto multilinea
   
"""
import sys, math
from PyQt4 import QtGui, QtCore
from qt_04_archi import Ui_MainWindow


class Principal(QtGui.QMainWindow):
    
    def __init__(self):
        super(Principal, self).__init__()        
        # Set up the user interface from Designer.
        self.ui = Ui_MainWindow()
        self.ui.setupUi(self)
        self.initUI()

    def initUI(self):
        
        self.lista = self.ui.plainTextEdit        
        
        self.ui.actionAbrir.triggered.connect(self.abreArchivo)
        self.ui.actionMuestra.triggered.connect(self.muestraContenido)

        self.show()
        
    def abreArchivo(self):
        print "abre Archi\n"
        
        #  Creamos un Dialogo para Abrir Archivos y lo configuramos
        OpenDialog = QtGui.QFileDialog(self)

        self.nombre = OpenDialog.getOpenFileName()
        print "Archi: " + self.nombre
        self.ui.labelArchi.setText(self.nombre)
        
    def muestraContenido(self):
        TFile = open(self.nombre, "rU")
        self.numdat = 0
        print "\nDatos en el Archivo\n"
        while True:
            linea = TFile.readline()
            if not linea: 
                break
            else:    
                partes = linea.split()
                # print partes
                if len(partes) ==2:
                     print partes[0], partes[1]
                     
                     self.lista.appendPlainText (linea)
                     self.numdat += 1
                else:
                    print "Error de sintáxis"
                    
        print "\nNum Datos= " + str(self.numdat)
            
        TFile.close()
        
        
def main():
    app = QtGui.QApplication(sys.argv)
    ejem = Principal()
    sys.exit(app.exec_())
        
if __name__ == '__main__':
    main()         
    